# Copyright (c) 2014 Dave Love, Liverpool University
# The licence for this file is as for the package itself.

# fixme: add lwm2 shim script and man page

%define debug_package %{nil}

Name:		lwm2
Version:	1.1.387hg
Release:	1%{?dist}
Summary:	Light Weight Measurement Module: tool for profiling HPC applications

License:	BSD
URL:		http://www.vi-hps.org/Tools/LWM2.html
# VCS: https://jay.grs.rwth-aachen.de/hg/lwm2/
#Source0:	http://www.vi-hps.org/upload/projects/hopsa/lwm2-1.1.tar.gz
# from make dist in checkout
Source0:	lwm2-1.1.tar.gz
Source1:	lwm2-README.Fedora
#Source2:	lwm2

BuildRequires:	openmpi-devel, papi-devel, chrpath, mpich-devel
BuildRoot:	%{_tmppath}/hwloc-%version-%{release}-root-%(%{__id_u} -n)


%global desc \
LWM2 (Light Weight Measurement Module) is a light weight profiler\
designed to measure performance of applications with minimum user\
effort. It can simple be used by preloading the LWM2 library while\
starting an application.

%description
%desc

%package openmpi
Summary:	Light Weight Measurement Module: tool for profiling HPC applications (openmpi)
Requires:	openmpi

%description openmpi
%desc

This is the openmpi version.

%package mpich
Summary:	Light Weight Measurement Module: tool for profiling HPC applications (mpich)
Requires:	mpich

%description mpich
%desc

This is the mpich version.

%prep
%setup -q -n %name-1.1
cp %SOURCE1 README.Fedora


%build
%global _configure ../configure
mkdir openmpi mpich
%_openmpi_load
pushd openmpi
%configure --bindir=$MPI_BIN --libdir=$MPI_LIB --disable-static \
	   --with-papi-lib=/usr --with-mpi=openmpi
make V=1 # AM_CFLAGS=-I$(pwd) #  %{?_smp_mflags}
popd
%_openmpi_unload

%_mpich_load
pushd mpich
%configure --bindir=$MPI_BIN --libdir=$MPI_LIB --disable-static \
	   --with-papi-lib=/usr --with-mpi=mpich
make %{?_smp_mflags} V=1 AM_CFLAGS=-I$(pwd)
popd
%_mpich_unload


%install
rm -rf $RPM_BUILD_ROOT
%_openmpi_load
make -C openmpi install DESTDIR=$RPM_BUILD_ROOT
#install -m 755 %SOURCE2 $RPM_BUILD_ROOT$MPI_BIN
%_openmpi_unload
%_mpich_load
make -C mpich install DESTDIR=$RPM_BUILD_ROOT
#install -m 755 %SOURCE2 $RPM_BUILD_ROOT$MPI_BIN
%_mpich_unload
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
find $RPM_BUILD_ROOT -name \*.so -exec chrpath -d {} \;
iconv -f iso8859-1 -t utf-8 COPYRIGHT.txt >COPYRIGHT.txt.x
mv COPYRIGHT.txt.x COPYRIGHT.txt
rm $RPM_BUILD_ROOT%_docdir/%name/USAGE


%clean
rm -rf $RPM_BUILD_ROOT


%files openmpi
%doc COPYING COPYRIGHT.txt doc/USAGE README.Fedora
%_libdir/openmpi/lib/*
%_libdir/openmpi/bin/*

%files mpich
%doc COPYING COPYRIGHT.txt doc/USAGE README.Fedora
%_libdir/mpich/lib/*
%_libdir/mpich/bin/*


%changelog
* Wed Nov 19 2014 Dave Love <d.love@liverpool.ac.uk> - 1.1.273-1
- Update to hg revision 273
- Drop patch
- Fix for mpich 3 in RHEL 6.6

* Mon Jun 23 2014 Dave Love <d.love@liverpool.ac.uk> - 1.1-2
- openmpi and mpich versions
- Add README.Fedora

* Mon Mar 24 2014 Dave Love <d.love@liverpool.ac.uk> - 1.1-1
- Initial packaging
